> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get duplicate end users for an end user

> Find duplicate end users for the given end user by matching on EIN (federal_tax_id) or normalized legal business name. Only returns duplicates within the same user (lender). Matching strategy: (1) Priority - Match by EIN when available (fast indexed query), (2) Fallback - Match by normalized company_legal_business_name when EIN is missing. Requires the count_duplicate_end_users feature flag to be enabled for the user.




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_heron_id}/duplicate_end_users
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/duplicate_end_users:
    get:
      tags:
        - EndUsers
      summary: Get duplicate end users for an end user
      description: >
        Find duplicate end users for the given end user by matching on EIN
        (federal_tax_id) or normalized legal business name. Only returns
        duplicates within the same user (lender). Matching strategy: (1)
        Priority - Match by EIN when available (fast indexed query), (2)
        Fallback - Match by normalized company_legal_business_name when EIN is
        missing. Requires the count_duplicate_end_users feature flag to be
        enabled for the user.
      parameters:
        - description: The Heron ID of the end user to check for duplicates
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DuplicateEndUsersResponse'
          description: List of duplicate end users found
        '403':
          description: Feature not enabled for this user
        '404':
          description: End user not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DuplicateEndUsersResponse:
      properties:
        duplicates:
          description: List of duplicate end users with their heron IDs and created dates
          items:
            $ref: '#/components/schemas/DuplicateEndUser'
          type: array
      required:
        - duplicates
      type: object
    DuplicateEndUser:
      properties:
        created:
          description: When the duplicate end user was created
          example: '2026-07-03T22:53:20.461324'
          format: date-time
          type: string
        end_user_heron_id:
          description: Heron ID of the duplicate end user
          example: eus_abc123
          type: string
      required:
        - created
        - end_user_heron_id
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````